import request from '@/plugins/request/system';


/**
 * 获取平台基本配置信息
 * @param data
 * @constructor
 */
export function  SystemSys() {
  return request({
    url: '/systemv1/sys/index',
    method: 'get',
  });
}


/**
 * 平台保存数据
 * @param data
 * @constructor
 */
export function  SystemSave(data) {
  return request({
    url: '/systemv1/sys/save',
    method: 'post',
    data : data
  });
}

export function  SystemAgreeSave(data) {
  return request({
    url: '/systemv1/sys/agreeSave',
    method: 'post',
    data : data
  });
}




/**
 * 获取提现方式列表
 * @param data
 * @constructor
 */
export function  SystemBankList(data) {
  return request({
    url: '/systemv1/sys/bankList',
    method: 'post',
    data : data
  });
}

/**
 * 编辑提现方式
 * @param data
 * @constructor
 */
export function  SystemBankSave(data) {
  return request({
    url: '/systemv1/sys/bankSave',
    method: 'post',
    data : data
  });
}
/**
 * 删除提现方式
 * @param data
 * @constructor
 */
export function  SystemBankDel(data) {
  return request({
    url: '/systemv1/sys/bankDel',
    method: 'post',
    data : data
  });
}




